#!/usr/bin/env python
import pygame
import sys, serial

# initialize the pygame mixer
pygame.mixer.init(frequency=22050, size=-16, channels=2, buffer=256)

# map positions to sounds
samples = {
    'lknee': pygame.mixer.Sound('media/hihat-closed1.aif'),    
    'rknee': pygame.mixer.Sound('media/snare.wav'),
    'hand': pygame.mixer.Sound('media/tambourine.aif'),
    'foot': pygame.mixer.Sound('media/bass.wav'),
}

# initialize serial port
s = serial.Serial('/dev/tty.usbserial-A6008ea9', 9600)

while 1:
    # read from the serial port
    line = s.readline().strip()
    tokens = line.split()
    pad_id = tokens[0]
    print pad_id
    volume = int(tokens[1])
    
    # volume is the raw fsr reading (max ever was ~600)
    # translate it into a value from 0 to 1
    volume = volume / 1000.0
    if pad_id == 'foot':
        volume = volume * 10
    
    sample = samples[pad_id]
    sample.set_volume(volume)
    sample.play()
